=== debian/changelog ===
cutesdr (1.0.5-3) unstable; urgency=low

  * Use compiler flags to determine asm use.

 -- A. Maitland Bottoms <bottoms@debian.org>  Tue, 01 May 2012 00:20:41 -0400

cutesdr (1.0.5-2) unstable; urgency=low

  * Acknowledge NMU
  * define USE_PERFORMANCE only for amd64

 -- A. Maitland Bottoms <bottoms@debian.org>  Mon, 23 Apr 2012 22:22:39 -0400

cutesdr (1.0.5-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "ftbfs with GCC-4.7": add patch gcc-4.7.patch (missing include).
    Closes: #667146

 -- gregor herrmann <gregoa@debian.org>  Mon, 23 Apr 2012 15:44:03 +0200

cutesdr (1.0.5-1) unstable; urgency=low

  * New upstream version
  * Desktop integration

 -- A. Maitland Bottoms <bottoms@debian.org>  Mon, 20 Feb 2012 12:47:55 -0500

cutesdr (1.0.4-1) experimental; urgency=low

  * Package from upstream svn (Closes: #658671)

 -- A. Maitland Bottoms <bottoms@debian.org>  Sat,  4 Feb 2012 11:12:07 -0500
