=== debian/control ===
Source: cutesdr
Section: hamradio
Priority: optional
Maintainer: A. Maitland Bottoms <bottoms@debian.org>
Build-Depends: debhelper (>= 9), cmake (>= 2.8.4+dfsg.1-3), qt4-qmake,
 libqt4-dev, pkg-config, libusb-1.0-0-dev, libftdi-dev, qtmobility-dev, icoutils
Standards-Version: 3.9.3
Homepage: http://www.rfspace.com/RFSPACE/CuteSDR.html
Vcs-Browser: http://cutesdr.svn.sourceforge.net/viewvc/cutesdr/

Package: cutesdr
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: simple demodulation and spectrum display program
 The CuteSDR application's primary purpose is for spawning custom
 applications or for educational use. It is NOT a full featured
 program as it is purposely kept simple in order for developers to
 more easily spin off their own applications. A further goal was to
 use only the stock functionality of Qt ie no libraries or special
 drivers. This limits CuteSDR to using only a network connection.
 The main gui and framework is written by Moe Wheatly, AE4JY.
 .
 CuteSDR itself has only a network interface and will directly support
 the RFSPACE NetSDR and SDR-IP radios. This package also supports
 SDR-IQ/14 using an included network protocol server application (siqs_ftdi)
 by Andrea Montefusco, IW0HDV with support from Ken Hopper, N9VV.
