=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --parallel --builddirectory=build

override_dh_auto_configure:
ifeq ($(DEB_BUILD_ARCH_OS),amd64)
	dh_auto_configure -- -DUSE_PERFORMANCE=1
else
	dh_auto_configure
endif

override_dh_auto_install:
	dh_auto_install
	cp debian/cutesdr.desktop debian/cutesdr/usr/share/applications/
	cd debian && icotool -x ../cutesdr1.ico
	mv debian/cutesdr1_1_256x256x32.png debian/cutesdr/usr/share/icons/hicolor/256x256/apps/cutesdr.png
	mv debian/cutesdr1_2_128x128x32.png debian/cutesdr/usr/share/icons/hicolor/128x128/apps/cutesdr.png
	mv debian/cutesdr1_3_64x64x32.png debian/cutesdr/usr/share/icons/hicolor/64x64/apps/cutesdr.png
	mv debian/cutesdr1_4_48x48x32.png debian/cutesdr/usr/share/icons/hicolor/48x48/apps/cutesdr.png
	mv debian/cutesdr1_5_32x32x32.png debian/cutesdr/usr/share/icons/hicolor/32x32/apps/cutesdr.png
	mv debian/cutesdr1_6_24x24x32.png debian/cutesdr/usr/share/icons/hicolor/24x24/apps/cutesdr.png
	mv debian/cutesdr1_7_16x16x32.png debian/cutesdr/usr/share/icons/hicolor/16x16/apps/cutesdr.png
