## cutesdr 1.13.42

=== debian/changelog ===
cutesdr (1.13.42-2) unstable; urgency=low

  * back to define USE_PERFORMANCE and asm only for amd64

 -- A. Maitland Bottoms <bottoms@debian.org>  Mon, 06 Oct 2014 20:09:34 -0400

cutesdr (1.13.42-1) unstable; urgency=low

  * Package svn commit 42
  * update URL (Closes: #745747)

 -- A. Maitland Bottoms <bottoms@debian.org>  Fri, 02 May 2014 21:49:51 -0400
