=== debian/control ===
--- 
+++ 
@@ -2,10 +2,10 @@
 Section: hamradio
 Priority: optional
 Maintainer: A. Maitland Bottoms <bottoms@debian.org>
-Build-Depends: debhelper (>= 9), cmake (>= 2.8.4+dfsg.1-3), qt4-qmake,
- libqt4-dev, pkg-config, libusb-1.0-0-dev, libftdi-dev, qtmobility-dev, icoutils
-Standards-Version: 3.9.3
-Homepage: http://www.rfspace.com/RFSPACE/CuteSDR.html
+Build-Depends: debhelper (>= 9), qt5-default, qt5-qmake, qtbase5-dev,
+ libusb-1.0-0-dev, libftdi-dev, qtmultimedia5-dev,  pkg-config, icoutils
+Standards-Version: 3.9.5
+Homepage: http://www.rfspace.com/RFSPACE/OtherApps.html
 Vcs-Browser: http://cutesdr.svn.sourceforge.net/viewvc/cutesdr/
 
 Package: cutesdr
@@ -21,6 +21,6 @@
  The main gui and framework is written by Moe Wheatly, AE4JY.
  .
  CuteSDR itself has only a network interface and will directly support
- the RFSPACE NetSDR and SDR-IP radios. This package also supports
- SDR-IQ/14 using an included network protocol server application (siqs_ftdi)
- by Andrea Montefusco, IW0HDV with support from Ken Hopper, N9VV.
+ the RFSPACE NetSDR and SDR-IP radios. The siqs_ftdi and SDRxxServer
+ applications (packaged separately) provide network interfaces to
+ RFSPACE USB devices.
