=== debian/rules ===
--- 
+++ 
@@ -1,16 +1,10 @@
 #!/usr/bin/make -f
 %:
-	dh $@ --parallel --builddirectory=build
-
-override_dh_auto_configure:
-ifeq ($(DEB_BUILD_ARCH_OS),amd64)
-	dh_auto_configure -- -DUSE_PERFORMANCE=1
-else
-	dh_auto_configure
-endif
+	dh $@
 
 override_dh_auto_install:
 	dh_auto_install
+	cp CuteSdr debian/cutesdr/usr/bin/CuteSdr
 	cp debian/cutesdr.desktop debian/cutesdr/usr/share/applications/
 	cd debian && icotool -x ../cutesdr1.ico
 	mv debian/cutesdr1_1_256x256x32.png debian/cutesdr/usr/share/icons/hicolor/256x256/apps/cutesdr.png
