=== debian/changelog ===
cutesdr (1.20-4) unstable; urgency=medium

  * Do not use obsolete and never-implemented XSI STREAMS header files
    - stropts.h (Closes: #954527)

 -- A. Maitland Bottoms <bottoms@debian.org>  Fri, 27 Mar 2020 22:57:07 -0400

cutesdr (1.20-3) unstable; urgency=medium

  * Fix FTCBFS: Let dh_auto_configure pass cross flags to cmake.
  (Closes: #918083)
  * Propagate errors from cmake (policy 4.6).
    Thanks Helmut!
  
 -- A. Maitland Bottoms <bottoms@debian.org>  Sat, 05 Jan 2019 14:35:40 -0500

cutesdr (1.20-2) unstable; urgency=medium

  * update to svn r75, builds with qt5.11. (Closes:#907226)

 -- A. Maitland Bottoms <bottoms@debian.org>  Wed, 29 Aug 2018 00:18:15 -0400

cutesdr (1.20-1) unstable; urgency=medium

  * New upstream release - svn commit r68 (Closes: #896445)
  * update to svn r72 - V1.21b0
  * build with libftdi1 (Closes: #810385)
  * bring back siqs_ftdi from cutesdr 1.0.5

 -- A. Maitland Bottoms <bottoms@debian.org>  Mon, 21 May 2018 00:26:20 -0400
