=== debian/control ===
--- 
+++ 
@@ -2,11 +2,12 @@
 Section: hamradio
 Priority: optional
 Maintainer: A. Maitland Bottoms <bottoms@debian.org>
-Build-Depends: debhelper (>= 9), qt5-default, qt5-qmake, qtbase5-dev,
- libusb-1.0-0-dev, libftdi-dev, qtmultimedia5-dev,  pkg-config, icoutils
-Standards-Version: 3.9.5
+Build-Depends: debhelper (>= 12), cmake, qt5-qmake, qtbase5-dev,
+ qtbase5-dev-tools, libusb-1.0-0-dev, libftdi1-dev, qtmultimedia5-dev,
+ pkg-config, icoutils
+Standards-Version: 4.5.0
 Homepage: http://www.rfspace.com/RFSPACE/OtherApps.html
-Vcs-Browser: http://cutesdr.svn.sourceforge.net/viewvc/cutesdr/
+Vcs-Browser: https://sourceforge.net/projects/cutesdr/
 
 Package: cutesdr
 Architecture: any
