=== debian/rules ===
--- 
+++ 
@@ -1,9 +1,17 @@
 #!/usr/bin/make -f
+QT_SELECT:=qt5
+export QT_SELECT
+
 %:
 	dh $@
 
 override_dh_auto_install:
 	dh_auto_install
+	mkdir siqsbuild
+	dh_auto_configure --builddirectory=siqsbuild --sourcedirectory=siqs
+	dh_auto_build --builddirectory=siqsbuild
+	cp siqsbuild/siqs_ftdi debian/cutesdr/usr/bin/siqs_ftdi
+	rm -rf siqsbuild
 	cp CuteSdr debian/cutesdr/usr/bin/CuteSdr
 	cp debian/cutesdr.desktop debian/cutesdr/usr/share/applications/
 	cd debian && icotool -x ../cutesdr1.ico
